------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]全球春节活动--舞狮部分
--Creator:		洪聪敏
--Created:		2019/12/25
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>109


-- 设置摄像机指向位置(网格坐标);
CppScriptMgr:SetViewPosByCell(344,448);
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- hero:SetLook(hero:GetLook(), false, true); 
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType);
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001);

-- local player1 = CppScriptMgr:AddSimplePlayer(1056950, 339,442, "Daily Quest Envoy", 400300001,1);
-- player1:SetZoomPercent(100);
-- player1:SetDir(0);
-- player1:SetAction(10)


-- local player2 = CppScriptMgr:AddSimplePlayer(1054590, 350,442, "Susu", 400300002,1);
-- player2:SetZoomPercent(100);
-- player2:SetDir(0);
-- player2:SetAction(10)


-- local player3 = CppScriptMgr:AddSimplePlayer(1064170, 346,445, "Chu Liuxiang", 400300003,1);
-- player3:SetZoomPercent(100);
-- player3:SetDir(0);
-- player3:SetAction(10)

local monster1   = CppScriptMgr:AddPlayer(306, 339,442, "LionDancer", 400300001,1)
local monster2   = CppScriptMgr:AddPlayer(306, 350,442, "LionDancer", 400300002,1)
local monster3   = CppScriptMgr:AddPlayer(306, 346,445, "LionDancer", 400300003,1)



--半身
CppScriptMgr:NpcCallOut("Lion dance is a traditional Chinese dance performed on big occasions to bring good fortune and chase away evil spirits.", 8500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc5016", 150, 430, "[Year of Ox Celebration] Laozi", 250, 655)




local player9 = CppScriptMgr:AddSimplePlayer(1054586,341,455,"Ou Xingzi", 400300009,1)
local player10 = CppScriptMgr:AddSimplePlayer(1054616,333,449,"Household Officer", 4003000010,1)
local player11 = CppScriptMgr:AddSimplePlayer(1054626,338,449,"Su Bifu", 4003000011,1)
player11:SetAction(261)
player11:SetAction(261)
player11:SetAction(261)
player11:SetAction(261)



--花灯布置
CppScriptMgr:AddSimplePlayer(17024, 351,437, "", 400300004,1)
CppScriptMgr:AddSimplePlayer(17024, 353,444, "", 400300005,1)
CppScriptMgr:AddSimplePlayer(17024, 347,451, "", 400300006,1)
CppScriptMgr:AddSimplePlayer(17024, 336,445, "", 400300007,1)
CppScriptMgr:AddSimplePlayer(17024, 340,438, "", 400300008,1)


player9:SetAction(190)
player9:Say("#38Bravo!",1500);
CppScriptMgr:WaitMilSec(1000);


player10:SetAction(180)
player10:Say("#35Good luck in the year of the Ox!",1500);
CppScriptMgr:WaitMilSec(1000);


player11:Say("Eat fried chips while watching lion dance. Life has never been so nice!",1500);
CppScriptMgr:WaitMilSec(3500);












